Skip to main content
PUT
/
v1
/
projects
/
{project_identifier}
/
annotation_configs
Replace the set of annotation configurations assigned to a project
curl --request PUT \
  --url https://api.example.com/v1/projects/{project_identifier}/annotation_configs \
  --header 'Content-Type: application/json' \
  --data '
{
  "annotation_config_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.example.com/v1/projects/{project_identifier}/annotation_configs"

payload = { "annotation_config_ids": ["<string>"] }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({annotation_config_ids: ['<string>']})
};

fetch('https://api.example.com/v1/projects/{project_identifier}/annotation_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "name": "<string>",
      "type": "<string>",
      "values": [
        {
          "label": "<string>",
          "score": 123
        }
      ],
      "id": "<string>",
      "description": "<string>"
    }
  ],
  "next_cursor": "<string>"
}
"<string>"
"<string>"
"<string>"

Path Parameters

project_identifier
string
required

The project identifier: either project ID or project name.

Body

application/json
annotation_config_ids
string[]
required

The complete set of annotation configuration GlobalIDs that should be assigned to the project. Configs not in this list are unassigned; an empty list clears all assignments.

Response

The resulting set of annotation configurations assigned to the project

data
(CategoricalAnnotationConfig · object | ContinuousAnnotationConfig · object | FreeformAnnotationConfig · object)[]
required
next_cursor
string | null
required